Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.expression
Interface ConstructorResolver

All Known Implementing Classes:
  ReflectiveConstructorResolver

    public interface ConstructorResolver

A constructor resolver attempts locate a constructor and returns a ConstructorExecutor that can be used to invoke that constructor. The ConstructorExecutor will be cached but if it 'goes stale' the resolvers will be called again.

Since:
  3.0
Author:
  Andy Clement

Method Summary
`ConstructorExecutor` | `resolve(EvaluationContext context, String typeName, List<TypeDescriptor> argumentTypes)` Within the supplied context determine a suitable constructor on the supplied type that can handle the specified arguments.

Method Detail

### resolve

    ConstructorExecutor resolve(EvaluationContext context,
                                String typeName,
                                List<TypeDescriptor> argumentTypes)
                                throws AccessException

  Within the supplied context determine a suitable constructor on the supplied type that can handle the specified arguments. Return a ConstructorExecutor that can be used to invoke that constructor (or `null` if no constructor could be found).

  Parameters:
    `context` - the current evaluation context
    `typeName` - the type upon which to look for the constructor
    `argumentTypes` - the arguments that the constructor must be able to handle
  Returns:
    a ConstructorExecutor that can invoke the constructor, or null if non found
  Throws:
    `AccessException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD